import java.lang.ref.ReferenceQueue;
import java.lang.ref.WeakReference;

public class WeakReference_Sub1 extends WeakReference {

   WeakReference_Sub1 aWeakReference_Sub1_10380;
   int anInt10381;


   WeakReference_Sub1(Object var1, ReferenceQueue var2, int var3, Object var4) {
      super(var1, var2);
      this.anInt10381 = 1117040985 * var3;
   }
}
